/** --------------------------------------------------------------------

	FORM 

--------------------------------------------------------------------- */

.quform label {
	font-weight:bold;
	letter-spacing:0.05em;
}

.quform-form input, .quform-form textarea, .quform-form checkbox, .quform-form select {
	border:2px solid #888 !important;
}

/* PAGE DEMANDE D'ACTES */
.page-id-428 .accordion-panel-content.open {
	padding-left:20px;
	padding-right:20px;
}


/** --------------------------------------------------------------------

	SITEMAP

--------------------------------------------------------------------- */

/* General list styling */
.sitemap-container ul {
    list-style-type: none;

}

/* Each level of the sitemap */

.level-0::before{
background : none !important;
	}

/* Custom bullets for top level items */
.level-0 > a{
text-transform: uppercase;
font-family:'SF UI Display Heavy', Arial, sans-serif;
	display:inline-block !important;
	margin-bottom:10px;
	border-bottom:0;
	color:#000;
}

.sitemap-level-2 {
	margin-top:10px !important;
	font-style:italic;
	font-size:0.9em;
}
.sitemap-level-2 li::before {
	filter: invert(44%) sepia(74%) saturate(3667%) hue-rotate(187deg) brightness(93%) contrast(106%);
}

/* Accessibility improvements */
.sitemap-container [role="treeitem"] {
    outline: none;
}

/* Styling for tree and group roles for better screen reader experience */
[role="tree"], [role="group"] {
    margin: 0;
    padding: 0;
}


/** --------------------------------------------------------------------

	PAGE  RECHERCHE
   
--------------------------------------------------------------------- */

.recherche-date {
	padding:0 !important; 
	margin:0!important;
	line-height:0.9 !important; 
	font-size:0.9em !important;
}

.recherche-titre {
	font-weight:bold !important; 
	line-height:1.2em !important; 
	font-size:1.05em !important; 
	margin-top:2px !important;
}

.recherche-extrait {
	line-height:1.4em !important; 
	font-size:0.95em !important; 
	margin-top:2px !important;
}

.recherche-type {
	display:inline-block !important; 
	background:#cc0000; 
	line-height:1.25em !important; 
	color:#fff !important; 
	font-weight:normal !important; 
	font-size:0.65em !important;
	padding:3px 4px !important; 
	vertical-align:middle !important; 
	text-transform:uppercase; 
	border-radius:3px;
}

.recherche-global {
	border-radius:10px; 
	padding:20px 20px 0 20px !important; 
	transition: background-color 0.4s ease, color 0.4s ease !important;
}

.recherche-global:hover {
	background:#e6e6e6; 
	transition: background-color 0.4s ease, color 0.4s ease !important;
}

.recherche-global .wpgb-card-body {
	background:none !important; 
	padding:0 !important;
}

.search-container {
	width: 100%;
	margin: 0 auto 40px auto;
	display: flex;
	justify-content: center;
}

.search-container form {
	display: flex;
	width: 100%;
}

.search-container input[type="text"] {
	flex: 1;
	padding: 10px;
	border-radius: 10px 0 0 10px;
	font-size: 16px;
	border:2px solid #ccc;
	border-right:0
}

.search-container button {
	background-color: #0073aa;
	color: white;
	padding: 10px 20px;
	border: none;
	border-radius: 0 10px 10px 0;
	cursor: pointer;
}

.search-container button:hover {
	background-color: #005885;
}

.search-container button i {
	font-size: 16px;
}

.screen-reader-text {
	position: absolute;
	width: 1px;
	height: 1px;
	padding: 0;
	margin: -1px;
	overflow: hidden;
	clip: rect(0, 0, 0, 0);
	border: 0;
}

.search-error {
	color: #cc0000;
	margin-top: 20px;
	width: 100%;
}

.search-container {
	flex-direction: column;
}

.wpgb-facet-7 {
	text-align:center; 
	margin-top:20px;
}


/** --------------------------------------------------------------------

	PAGE  404
   
--------------------------------------------------------------------- */

.page404-bg {display: flex;
	justify-content: center; /* Center horizontally */
	align-items: center; /* Center vertically */
}

.page404-content h1 {
	color: #fff; 
	margin-top:0;
}

.page404-content-bg {
	position: relative;
	background-color: rgba(0, 0, 0, 0.2); /* background with 50% opacity */
	padding: 30px 70px;
	border-radius:10px;
	color:#fff;
	text-align:center;
}

.page404-button-link {
	display: inline-block;
	margin-top:20px;
	padding: 10px 20px;
	font-size: 16px;
	color: white;
	background-color: #007BFF;
	border: none;
	border-radius: 4px;
	text-align: center;
	text-decoration: none;
	cursor: pointer;
	transition: background-color 0.3s ease;
	}

.page404-button-link:hover {
	background-color: #0056b3; 
	transition: background-color 0.3s ease;
}

.page404-button-link :focus {
	outline: 2px solid #0056b3;
}

.page404-button-link .fa {
	margin-left: 10px;
	transition: transform 0.3s;
}

.page404-button-link:hover .fa {
	transform: translateX(4px);
}

.page404-button-link .fa-long-arrow-right {
	font-weight: normal; /* Attempting to make it appear finer */
}


/** --------------------------------------------------------------------

	TOOLBAR

--------------------------------------------------------------------- */

/* Barre d'outils */
.toolbar {
	display: flex;
	justify-content: flex-end; /* Aligne les éléments à droite */
	margin: 20px -10px 30px 0;
}

.toolbar a {
	position: relative;
	display: inline-flex;
	align-items: center;
	justify-content: center;
	width: 50px;
	height: 50px;
	margin: 0 10px;
	border: 0; /* Bordure grise de 1 pixel */
	border-radius: 5px;
	text-decoration: none;
	overflow: hidden;
	transition: background-color 0.3s ease, border-color 0.3s ease;
}

.toolbar a::before {
	content: '';
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	z-index: 1;
}


.toolbar img {
	position: relative;
	width: 24px;
	height: 24px;
	z-index: 2;
	transition: transform 0.2s ease, filter 0.2s ease;
}

.toolbar a:hover img {
	transform: scale(1.2); /* Agrandit l'icône au survol */
}

.social-icon.x-icon {
	background:#cccccc;
}

.social-icon.facebook-icon {
	background:#d4dae6;
}

.social-icon.telegram-icon {
	background:#d4ecf8;
}

.social-icon.email-icon {
	background:#f3d3d2;
}


/* Icônes en arrière-plan utilisant des images SVG */
.x-icon img {
	content: url('/wp-content/themes/Divi-Child/img/ico/x-social.svg');
	filter: brightness(0) saturate(100%) invert(0%) sepia(95%) saturate(21%) hue-rotate(317deg) brightness(90%) contrast(104%);
}

.facebook-icon img {
	content: url('/wp-content/themes/Divi-Child/img/ico/facebook-outline.svg');
filter: brightness(0) saturate(100%) invert(31%) sepia(12%) saturate(2602%) hue-rotate(184deg) brightness(90%) contrast(93%);
}

.email-icon img {
	content: url('/wp-content/themes/Divi-Child/img/ico/footer-mail2.svg');
	filter: brightness(0) saturate(100%) invert(19%) sepia(57%) saturate(3192%) hue-rotate(343deg) brightness(102%) contrast(103%);
}

.telegram-icon img {
	content: url('/wp-content/themes/Divi-Child/img/ico/telegram-outline.svg');
	filter: brightness(0) saturate(100%) invert(63%) sepia(37%) saturate(3309%) hue-rotate(169deg) brightness(88%) contrast(93%);
}



/** --------------------------------------------------------------------

	FOOTER LINKS

--------------------------------------------------------------------- */

.footer-links-inline-list {
	list-style: none; /* Remove bullets from the list */
	padding: 0 !important;
	display: flex;
	justify-content: center; /* Center the list items */
	flex-wrap: wrap; /* Allow items to wrap to the next line on smaller screens */
}

.footer-links-inline-list li {
	list-style: none; /* Ensure list-style is none on li elements */
	padding-right: 10px;
	margin-right: 10px;
	border-right: 1px solid #000;
	text-transform: uppercase;
	font-family: 'SF UI Display Bold', Arial, sans-serif; 
	font-size: 0.9em;
	line-height: 1;
	letter-spacing: 0.05em;
}

.footer-links-inline-list li:last-child {
	margin-right: 0;
	padding-right: 0;
	border-right: none;
}

.footer-links-inline-list li a {
	color: #000;
	transition: color 0.3s ease;
}

.footer-links-inline-list li a:hover, .footer-links-inline-list li a:focus {
	color: #1265b9;
}

/* Responsive styles */
@media (max-width: 768px) {
	.footer-links-inline-list {
		flex-direction: column; /* Stack items vertically on smaller screens */
		align-items: center; /* Center items vertically */
	}

	.footer-links-inline-list li {
	padding-right: 0;
		margin-right: 0;
		border-right: none;
		padding-bottom: 10px; /* Add spacing between items vertically */
	}

	.footer-links-inline-list li:last-child {
		padding-bottom: 0;
		border-bottom: none;
	}
}



